Package org.apache.storm.generated

## Enum WorkerSummary._Fields

- java.lang.Object
- - java.lang.Enum<WorkerSummary._Fields>
  - - org.apache.storm.generated.WorkerSummary._Fields

- All Implemented Interfaces:
    `Serializable`, `Comparable<WorkerSummary._Fields>`, `org.apache.storm.thrift.TFieldIdEnum`
  Enclosing class:
    WorkerSummary

      public static enum WorkerSummary._Fields
      extends Enum<WorkerSummary._Fields>
      implements org.apache.storm.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ASSIGNED_CPU` |
    `ASSIGNED_MEMOFFHEAP` |
    `ASSIGNED_MEMONHEAP` |
    `COMPONENT_TO_NUM_TASKS` |
    `HOST` |
    `NUM_EXECUTORS` |
    `OWNER` |
    `PORT` |
    `REQUESTED_CPU` |
    `REQUESTED_MEMOFFHEAP` |
    `REQUESTED_MEMONHEAP` |
    `SUPERVISOR_ID` |
    `TIME_SECS` |
    `TOPOLOGY_ID` |
    `TOPOLOGY_NAME` |
    `UPTIME_SECS` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static WorkerSummary._Fields` | `findByName​(String name)` | Find the _Fields constant that matches name, or null if its not found.
    `static WorkerSummary._Fields` | `findByThriftId​(int fieldId)` | Find the _Fields constant that matches fieldId, or null if its not found.
    `static WorkerSummary._Fields` | `findByThriftIdOrThrow​(int fieldId)` | Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `String` | `getFieldName()` |
    `short` | `getThriftFieldId()` |
    `static WorkerSummary._Fields` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static WorkerSummary._Fields[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUPERVISOR_ID

          public static final WorkerSummary._Fields SUPERVISOR_ID

    - #### HOST

          public static final WorkerSummary._Fields HOST

    - #### PORT

          public static final WorkerSummary._Fields PORT

    - #### TOPOLOGY_ID

          public static final WorkerSummary._Fields TOPOLOGY_ID

    - #### TOPOLOGY_NAME

          public static final WorkerSummary._Fields TOPOLOGY_NAME

    - #### NUM_EXECUTORS

          public static final WorkerSummary._Fields NUM_EXECUTORS

    - #### COMPONENT_TO_NUM_TASKS

          public static final WorkerSummary._Fields COMPONENT_TO_NUM_TASKS

    - #### TIME_SECS

          public static final WorkerSummary._Fields TIME_SECS

    - #### UPTIME_SECS

          public static final WorkerSummary._Fields UPTIME_SECS

    - #### REQUESTED_MEMONHEAP

          public static final WorkerSummary._Fields REQUESTED_MEMONHEAP

    - #### REQUESTED_MEMOFFHEAP

          public static final WorkerSummary._Fields REQUESTED_MEMOFFHEAP

    - #### REQUESTED_CPU

          public static final WorkerSummary._Fields REQUESTED_CPU

    - #### ASSIGNED_MEMONHEAP

          public static final WorkerSummary._Fields ASSIGNED_MEMONHEAP

    - #### ASSIGNED_MEMOFFHEAP

          public static final WorkerSummary._Fields ASSIGNED_MEMOFFHEAP

    - #### ASSIGNED_CPU

          public static final WorkerSummary._Fields ASSIGNED_CPU

    - #### OWNER

          public static final WorkerSummary._Fields OWNER

  - ### Method Detail

    - #### values

          public static WorkerSummary._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WorkerSummary._Fields c : WorkerSummary._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WorkerSummary._Fields valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### findByThriftId

          public static WorkerSummary._Fields findByThriftId​(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static WorkerSummary._Fields findByThriftIdOrThrow​(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static WorkerSummary._Fields findByName​(String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.storm.thrift.TFieldIdEnum`

    - #### getFieldName

          public String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.storm.thrift.TFieldIdEnum`